Skip to main content
GET
/
v2
/
calendars
/
{calendar}
/
event
/
{eventUid}
Get meeting details from calendar
curl --request GET \
  --url https://api.cal.com/v2/calendars/{calendar}/event/{eventUid} \
  --header 'Authorization: <authorization>'
import requests

url = "https://api.cal.com/v2/calendars/{calendar}/event/{eventUid}"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://api.cal.com/v2/calendars/{calendar}/event/{eventUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "data": {
    "start": {
      "time": "2023-11-07T05:31:56Z",
      "timeZone": "<string>"
    },
    "end": {
      "time": "2023-11-07T05:31:56Z",
      "timeZone": "<string>"
    },
    "id": "<string>",
    "title": "<string>",
    "source": "google",
    "description": "<string>",
    "locations": [
      {
        "type": "video",
        "url": "<string>",
        "label": "<string>",
        "password": "<string>",
        "meetingCode": "<string>",
        "accessCode": "<string>"
      }
    ],
    "attendees": [
      {
        "email": "<string>",
        "name": "<string>",
        "responseStatus": "accepted",
        "self": true,
        "optional": true,
        "host": true
      }
    ],
    "status": "accepted",
    "hosts": [
      {
        "email": "<string>",
        "name": "<string>",
        "responseStatus": "accepted"
      }
    ],
    "calendarEventOwner": {
      "email": "<string>",
      "name": "<string>"
    }
  }
}

Headers

Authorization
string
required

value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token

Path Parameters

calendar
enum<string>
required
Available options:
google
eventUid
string
required

The Google Calendar event ID. You can retrieve this by getting booking references from the following endpoints:

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required